package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum OrderStatusEnum {

    EMPTY(0, "空单"),
    NEW_ORDER(1, "新单"),
    SORTED(2, "已排单"),
    IN_PRODUCTION(3, "生产中"),
    FINISH_PRODUCTION(4, "生产完成");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(OrderStatusEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}
